Package com.ocient.cli

# Class CLIMetrics

java.lang.Object
com.ocient.cli.CLIMetrics

public class CLIMetrics extends Object

## Method Summary

Modifier and Type
Method
Description
`static long`
`getPID()`
`void`
`registerAll()`
Registers the CLI metrics with the global registry
`void`
`removeAll()`
Removes all CLI metrics from the global registry

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getPID

public static long getPID()

### registerAll

public void registerAll()
Registers the CLI metrics with the global registry

### removeAll

public void removeAll()
Removes all CLI metrics from the global registry